* {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  gap: 0;
  font-family: 'Instrument Serif' , serif;
  overflow-x: hidden;
}


.section {
  padding: 80px 0;
}

.fade {
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.6s ease,transform 0.6s ease;
}

.fade.show {
  opacity: 1;
  transform: translateY(0);
}

.btn {
  background: #C8A97E;
  border: none;
  border-radius: 4px;
  padding: 12px 24px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  color: #000;
  transition: 0.3s;
}

.btn:hover {
  opacity: 0.8;
  cursor: pointer;
}

.header {
  display: flex;
  justify-content: space-between;
  padding: 16px 20px;
}

.hamburger {
  cursor: pointer;
  z-index: 100;
}

.hamburger span {
  display: block;
  background: #000;
  width: 25px;
  height: 2px;
  margin: 5px 0;
  transition: 0.3s;
}

.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px,5px);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(5px,-5px);
}

.nav {
  position: fixed;
  top: 0;
  right: -100%;
  width: 60%;
  min-height: 100vh;
  background: white;
  transition: 0.3s;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99;
}

.nav.active {
  right: 0;
}

.nav ul {
  list-style: none;
  text-align: center;
}

.nav li {
  margin: 20px 0;
}

.nav a {
  text-decoration: none;
  color: #333;
  font-size: 18px;
}

.overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  z-index: 50;
}

.overlay.active {
  opacity: 1;
  visibility: visible;
}

/*オーバーレイ時作動*/
body.no-scroll {
  overflow: hidden;
}

.hero {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  max-width: 1400px;
  width: 100%;
  height: 80vh;
  padding: 20px 0;
  gap: 20px;
  background: linear-gradient(rgba(0,0,0,0.5),
  rgba(0,0,0,0.5)),
  url(images/hero-background.webp);
  color: #FFF;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.hero a {
  text-decoration: none;
}

.concept {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px;
  margin: 30px;
  gap: 30px;
}

.concept-sct {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 20px;
}

.concept-img {
  width: 100%;
  max-width: 400px;
  height: 300px;
}

.menu {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 30px 0;
}

.menu-list {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.menu-grid {
  display: grid;
  grid-template-columns: repeat(3,1fr);
  padding: 40px 15px;
  gap: 20px;
}
.menu-card {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-size: cover;
  overflow: hidden;
  border-radius: 10px;
  transition: 0.3s;
}

.menu-card:hover {
  transform: translateY(-5px);
}

.menu-img {
  width: 100%;
  height: 250px;
  object-fit: cover;
}

.gallery {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px 0;
  flex-direction: column;
}

.gallery-grid {
  display: grid;
  grid-template-columns: repeat(3,1fr);
  padding: 40px 15px;
  gap: 20px;
  transition: 0.3s;
}

.gallery-card {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-size: cover;
  overflow: hidden;
  border-radius: 10px;
}

.gallery-img {
  width: 100%;
  max-width: 400px;
  height: 300px;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.gallery-img:hover {
  transform: scale(1.03);
}

.slider {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  flex-direction: row;
}

.slider-container {
  width: 100%;
  max-width: 700px;
  height: 450px;
  overflow: hidden;

  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.prev {
  flex-shrink: 0;

  padding: 10px 16px;
  border: none;
  background: #C8A97E;
  cursor: pointer;
  text-align: center;
  font-size: 18px;
}

.next {
  flex-shrink: 0;

  padding: 10px 16px;
  border: none;
  background: #C8A97E;
  cursor: pointer;
  text-align: center;
  font-size: 18px;
}

.slide {
  /*display: none;*/
  position: absolute;
  opacity: 0;
  transition: opacity 0.5s ease;

  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slide.active {
  /*display: block;
  visibility: visible;*/
  opacity: 1;
}

.access {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.access-map {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 10px;
  gap: 20px;
}

.shop-map {
width: 100%;
max-width: 400px;
height: auto;
padding: 20px;
}

.shop-time {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 5px;
  background: #F5F1EB;
  width: 100%;
  max-width: 1400px;
  height: auto;
}

.faq {
  padding: 80px 20px;
}

.accordion {
  max-width: 700px;
  margin: 0 auto 20px;
}

.accordion-question {
  width: 100%;
  padding: 20px;
  border: none;
  background: #C8A97E;
  cursor: pointer;
  text-align: left;
  font-size: 18px;
}

.accordion-answer {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
  background: #F5F1EB;
}

.accordion-answer p {
  padding: 20px;
}

.footer {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 20px;
  padding: 20px;
}

.footer-logo-sns {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 30px;
}

.footer-sns {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 30px;
}

.copyright {
  color: #666;
  font-size: 14px;
}

.modal {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.8);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;

  transition: 0.3s;

  z-index: 200;
}

.modal.active {
  opacity: 1;
  visibility: visible;
}

.modal-content {
  position: relative;
}

#modalImg {
  width: 90%;
  max-width: 700px;
  border-radius: 10px;
  max-height: 80vh;
  object-fit: contain;
}

.close-btn {
  position: fixed;
  top: 20px;
  right: 30px;

  color: white;
  font-size: 40px;
  cursor: pointer;
  gap: 20px;
}


@media (max-width: 768px) {
  .concept {
    flex-direction: column;
    text-align: center
  }
  .menu-grid {
    grid-template-columns: repeat(2,1fr);
  }
  .hero h1 {
  font-size: 24px;
  text-align: center;
  line-height: 1.5;
  }
  .nav {
    width: 80%;
  }
  .gallery-grid {
   grid-template-columns: repeat(2,1fr);
  }
}